Package org.globus.io.streams

# Class FTPOutputStream

java.lang.Object
java.io.OutputStream
org.globus.io.streams.GlobusOutputStream
org.globus.io.streams.FTPOutputStream

All Implemented Interfaces:
  `Closeable`, `Flushable`, `AutoCloseable`

Direct Known Subclasses:
  `GridFTPOutputStream`

public class FTPOutputStream extends GlobusOutputStream

## Field Summary

Fields
Modifier and Type
Field
Description
`protected FTPClient`
`ftp`
`protected OutputStream`
`output`
`protected TransferState`
`state`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`FTPOutputStream()`
``
`FTPOutputStream(String host, int port, String user, String pwd, String file, boolean append)`
``
`FTPOutputStream(String host, int port, String user, String pwd, String file, boolean append, boolean passive, int type)`

## Method Summary

Modifier and Type
Method
Description
`void`
`abort()`
Aborts transfer.
`void`
`close()`
`void`
`flush()`
`protected void`
`put(boolean passive, int type, String remoteFile, boolean append)`
`void`
`write(byte[] msg)`
`void`
`write(byte[] msg, int from, int length)`
`void`
`write(int b)`

### Methods inherited from class java.io.OutputStream

`nullOutputStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### output

protected OutputStream output

### ftp

protected FTPClient ftp

### state

protected TransferState state

## Constructor Details

### FTPOutputStream

protected FTPOutputStream()

### FTPOutputStream

public FTPOutputStream(String host, int port, String user, String pwd, String file, boolean append) throws IOException, FTPException

Throws:
  `IOException`
  `FTPException`

### FTPOutputStream

public FTPOutputStream(String host, int port, String user, String pwd, String file, boolean append, boolean passive, int type) throws IOException, FTPException

Throws:
  `IOException`
  `FTPException`

## Method Details

### abort

public void abort()
Description copied from class: `GlobusOutputStream`
Aborts transfer. Usually makes sure to release all resources (sockets, file descriptors)
Does nothing by default.

Overrides:
  `abort` in class `GlobusOutputStream`

### close

public void close() throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Overrides:
  `close` in class `OutputStream`
Throws:
  `IOException`

### put

protected void put(boolean passive, int type, String remoteFile, boolean append) throws IOException, FTPException

Throws:
  `IOException`
  `FTPException`

### write

public void write(byte[] msg) throws IOException

Overrides:
  `write` in class `OutputStream`
Throws:
  `IOException`

### write

public void write(byte[] msg, int from, int length) throws IOException

Overrides:
  `write` in class `OutputStream`
Throws:
  `IOException`

### write

public void write(int b) throws IOException

Overrides:
  `write` in class `GlobusOutputStream`
Throws:
  `IOException`

### flush

public void flush() throws IOException

Specified by:
  `flush` in interface `Flushable`
Overrides:
  `flush` in class `OutputStream`
Throws:
  `IOException`